ServerEvents.tags('item', event => {
  event.add('forge:crops/chilipepper', 'croptopia:chile_pepper')
  event.add('forge:spices/blackpepper', 'croptopia:pepper')
})
ServerEvents.recipes(event => {
    event.remove({ id: 'sdvf:algae_soup'})
    event.shapeless(
  Item.of('sdvf:algae_soup', 2), // arg 1: output
  [
    'minecraft:bowl',
    '3x minecraft:dried_kelp', 	       // arg 2: the array of inputs
    '3x aquaculture:algae'
  ]
)
  event.remove({ id: 'sdvf:banana_pudding'})
    event.shapeless(
  Item.of('sdvf:banana_pudding', 1), // arg 1: output
  [
    '#forge:bananas',
    '#forge:milk', 	       // arg 2: the array of inputs
    'minecraft:sugar'
  ]
)
  event.remove({ id: 'sdvf:bean_hotpot'})
    event.shapeless(
  Item.of('sdvf:bean_hotpot', 2), // arg 1: output
  [
    'minecraft:bowl',
    '8x croptopia:greenbean' 	       // arg 2: the array of inputs
  ]
)
  event.remove({ id: 'sdvf:blackberry_cobbler'})
    event.shapeless(
  Item.of('sdvf:blackberry_cobbler', 1), // arg 1: output
  [
    'minecraft:bowl',
    '2x #forge:blackberries', 	       // arg 2: the array of inputs
    '#forge:flour',
    'minecraft:sugar'
  ]
)
  event.remove({ id: 'sdvf:blueberry_tart'})
    event.shapeless(
  Item.of('sdvf:blueberry_tart', 1), // arg 1: output
  [
    '#forge:blueberries',
    '#forge:eggs', 	       // arg 2: the array of inputs
    'minecraft:wheat',
    'minecraft:sugar'
  ]
)
    event.remove({ id: 'sdvf:bread'})
    event.shapeless(
  Item.of('sdvf:bread', 1), // arg 1: output
  [
    'minecraft:bread'
  ]
)
    event.remove({ id: 'sdvf:chowder'})
    event.shapeless(
  Item.of('sdvf:chowder', 1), // arg 1: output
  [
    'minecraft:bowl',
    '2x minecraft:potato', 	       // arg 2: the array of inputs
    '3x croptopia:clam',
    '#forge:milk'
  ]
)
    event.remove({ id: 'sdvf:complete_breakfast'})
    event.shapeless(
  Item.of('sdvf:complete_breakfast', 2), // arg 1: output
  [
    'sdvf:hashbrowns',
    'farmersdelight:fried_egg', 	       // arg 2: the array of inputs
    'sdvf:pancakes',
    '#forge:milk'
  ]
)
    event.remove({ id: 'sdvf:cookie'})
    event.shapeless(
  Item.of('sdvf:cookie', 12), // arg 1: output
  [
    '2x #forge:flour',
    'minecraft:sugar', 	       // arg 2: the array of inputs
    'minecraft:cocoa_beans'
  ]
)
    event.remove({ id: 'sdvf:crab_cakes'})
    event.shapeless(
  Item.of('sdvf:crab_cakes', 1), // arg 1: output
  [
    '2x quark:crab_leg',
    '#forge:flour', 	       // arg 2: the array of inputs
    '#forge:eggs',
    'pamhc2foodcore:cookingoilitem'
  ]
)
    event.remove({ id: 'sdvf:cranberry_sauce'})
    event.shapeless(
  Item.of('sdvf:cranberry_sauce', 1), // arg 1: output
  [
    '3x #forge:cranberries',
    'minecraft:sugar' 	       // arg 2: the array of inputs
  ]
)
    event.remove({ id: 'sdvf:dish_o_the_sea'})
    event.shapeless(
  Item.of('sdvf:dish_o_the_sea', 1), // arg 1: output
  [
    '2x #forge:raw_fishes',
    'minecraft:potato', 	       // arg 2: the array of inputs
    'minecraft:bowl'
  ]
)
    event.remove({ id: 'sdvf:escargot'})
    event.shapeless(
  Item.of('sdvf:escargot', 2), // arg 1: output
  [
    '2x autumnity:snail_goo',
    '#forge:garlic', 	       // arg 2: the array of inputs
    'croptopia:butter'
  ]
)
    event.remove({ id: 'sdvf:fiddlehead_risotto'})
    event.shapeless(
  Item.of('sdvf:fiddlehead_risotto', 1), // arg 1: output
  [
    'minecraft:fern',
    'minecraft:bowl', 	       // arg 2: the array of inputs
    '#forge:garlic',
    'pamhc2foodcore:cookingoilitem'
  ]
)
    event.remove({ id: 'sdvf:fish_stew'})
    event.shapeless(
  Item.of('sdvf:fish_stew', 1), // arg 1: output
  [
    '3x #forge:raw_fishes',
    'croptopia:clam', 	       // arg 2: the array of inputs
    'minecraft:bowl'
  ]
)
    event.remove({ id: 'sdvf:fish_taco'})
    event.shapeless(
  Item.of('sdvf:fish_taco', 1), // arg 1: output
  [
    '#forge:raw_fishes', 	       // arg 2: the array of inputs
    '#forge:lettuce',
    'minecraft:bread'
  ]
)
    event.remove({ id: 'sdvf:ginger_ale'})
    event.shapeless(
  Item.of('sdvf:ginger_ale', 1), // arg 1: output
  [
    '3x #forge:gingers',
    'minecraft:sugar' 	       // arg 2: the array of inputs
  ]
)
    event.remove({ id: 'sdvf:glazed_yams'})
    event.shapeless(
  Item.of('sdvf:glazed_yams', 1), // arg 1: output
  [
    '2x croptopia:yam',
    'minecraft:sugar', 	       // arg 2: the array of inputs
    'minecraft:bowl'
  ]
)
    event.remove({ id: 'sdvf:maki_roll'})
    event.shapeless(
  Item.of('sdvf:maki_roll', 1), // arg 1: output
  [
    '2x #forge:grain/rice',
    '#forge:raw_fishes', 	       // arg 2: the array of inputs
    'minecraft:dried_kelp',
    'minecraft:bowl'
  ]
)
    event.remove({ id: 'sdvf:crab_cakes'})
    event.shapeless(
  Item.of('sdvf:crab_cakes', 1), // arg 1: output
  [
    '#forge:grain/rice',
    '#forge:coconuts', 	       // arg 2: the array of inputs
    '#forge:mangos'
  ]
)
    event.remove({ id: 'sdvf:pale_broth'})
    event.shapeless(
  Item.of('sdvf:pale_broth', 1), // arg 1: output
  [
    'minecraft:moss_block',
    'minecraft:bone', 	       // arg 2: the array of inputs
    'minecraft:bowl'
  ]
)
    event.remove({ id: 'sdvf:parsnip_soup'})
    event.shapeless(
  Item.of('sdvf:parsnip_soup', 1), // arg 1: output
  [
    'pamhc2crops:parsnipitem',
    '#forge:milk',
    'pamhc2foodcore:vinegaritem'
  ]
)
    event.remove({ id: 'sdvf:pizza'})
    event.shapeless(
  Item.of('sdvf:pizza', 1), // arg 1: output
  [
    '#forge:tomatoes',
    '#forge:cheese',
    '#forge:dough'
  ]
)
    event.remove({ id: 'sdvf:plum_pudding'})
    event.shapeless(
  Item.of('sdvf:plum_pudding', 1), // arg 1: output
  [
    'minecraft:sugar',
    '#forge:flour',
    '#forge:plums'
  ]
)
    event.remove({ id: 'sdvf:poi'})
    event.shapeless(
  Item.of('sdvf:poi', 1), // arg 1: output
  [
    '2x pamhc2crops:taroitem'
  ]
)
    event.remove({ id: 'sdvf:red_plate'})
    event.shapeless(
  Item.of('sdvf:red_plate', 1), // arg 1: output
  [
    'minecraft:beetroot',
    '#forge:radishes',
    '#forge:cabbage',
    'minecraft:bowl'
  ]
)
    event.remove({ id: 'sdvf:rhubarb_pie'})
    event.shapeless(
  Item.of('sdvf:rhubarb_pie', 1), // arg 1: output
  [
    'croptopia:rhubarb',
    'minecraft:sugar',
    '#forge:flour'
  ]
)
    event.remove({ id: 'sdvf:rice_pudding'})
    event.shapeless(
  Item.of('sdvf:rice_pudding', 1), // arg 1: output
  [
    'minecraft:sugar',
    '#forge:milk',
    '#forge:grain/rice'
  ]
)
    event.remove({ id: 'sdvf:roasted_hazelnuts'})
    event.shapeless(
  Item.of('sdvf:roasted_hazelnuts', 2), // arg 1: output
  [
    '2x pamhc2trees:hazelnutitem',
    'minecraft:bowl'
  ]
)
    event.remove({ id: 'sdvf:roots_platter'})
    event.shapeless(
  Item.of('sdvf:roots_platter', 1), // arg 1: output
  [
    'minecraft:beetroot',
    'minecraft:carrot',
    'miners_delight:cave_carrot',
    'minecraft:bowl'
  ]
)
    event.remove({ id: 'sdvf:salad'})
    event.shapeless(
  Item.of('sdvf:salad', 2), // arg 1: output
  [
    'minecraft:dandelion',
    '#forge:crops/leek', 	       // arg 2: the array of inputs
    'pamhc2foodcore:vinegaritem'
  ]
)
    event.remove({ id: 'sdvf:salmon_dinner'})
    event.shapeless(
  Item.of('sdvf:salmon_dinner', 1), // arg 1: output
  [
    'minecraft:bowl',
    'minecraft:raw_salmon', 	       // arg 2: the array of inputs
    'pamhc2crops:amaranthitem',
    '#forge:kale'
  ]
)
    event.remove({ id: 'sdvf:seafoam_pudding'})
    event.shapeless(
  Item.of('sdvf:seafoam_pudding', 1), // arg 1: output
  [
    'minecraft:ink_sac',
    'minecraft:kelp', 	       // arg 2: the array of inputs
    '#forge:raw_fishes'
  ]
)
    event.remove({ id: 'sdvf:shrimp_cocktail'})
    event.shapeless(
  Item.of('sdvf:shrimp_cocktail', 1), // arg 1: output
  [
    'croptopia:shrimp',
    '#forge:tomatoes'
  ]
)
    event.remove({ id: 'sdvf:spaghetti'})
    event.shapeless(
  Item.of('sdvf:spaghetti', 1), // arg 1: output
  [
    '#forge:flour',
    '#forge:tomatoes', 	       // arg 2: the array of inputs
    '#forge:eggs'
  ]
)
    event.remove({ id: 'sdvf:squid_ink_ravioli'})
    event.shapeless(
  Item.of('sdvf:squid_ink_ravioli', 1), // arg 1: output
  [
    'minecraft:ink_sac',
    '#forge:flour', 	       // arg 2: the array of inputs
    '#forge:tomatoes'
  ]
)
    event.remove({ id: 'sdvf:stir_fry'})
    event.shapeless(
  Item.of('sdvf:stir_fry', 1), // arg 1: output
  [
    'miners_delight:cave_carrot',
    '#forge:kale', 	       // arg 2: the array of inputs
    '#forge:mushroom',
    '#forge:cookingoil'
  ]
)
    event.remove({ id: 'sdvf:survival_burger'})
    event.shapeless(
  Item.of('sdvf:survival_burger', 1), // arg 1: output
  [
    'minecraft:bread',
    'miners_delight:cave_carrot', 	       // arg 2: the array of inputs
    '#forge:eggplants'
  ]
)
    event.remove({ id: 'sdvf:tom_kha_soup'})
    event.shapeless(
  Item.of('sdvf:tom_kha_soup', 1), // arg 1: output
  [
    'minecraft:bowl',
    '#forge:coconuts', 	       // arg 2: the array of inputs
    'croptopia:shrimp',
    'minecraft:brown_mushroom'
  ]
)
    event.remove({ id: 'sdvf:tropical_curry'})
    event.shapeless(
  Item.of('sdvf:tropical_curry', 1), // arg 1: output
  [
    '#forge:pineapples',
    '#forge:coconuts', 	       // arg 2: the array of inputs
    '#forge:crops/chilipepper'
  ]
)
event.replaceInput(
  { input: 'farmersdelight:rope' }, // Arg 1: the filter
  'farmersdelight:rope',            // Arg 2: the item to replace
  '#forge:rope'         // Arg 3: the item to replace it with
  // Note: tagged fluid ingredients do not work on Fabric, but tagged items do.
)
event.replaceInput(
  { input: 'supplementaries:rope' }, // Arg 1: the filter
  'supplementaries:rope',            // Arg 2: the item to replace
  '#forge:rope'         // Arg 3: the item to replace it with
  // Note: tagged fluid ingredients do not work on Fabric, but tagged items do.
)
event.replaceInput(
  { input: 'quark:rope' }, // Arg 1: the filter
  'quark:rope',            // Arg 2: the item to replace
  '#forge:rope'         // Arg 3: the item to replace it with
  // Note: tagged fluid ingredients do not work on Fabric, but tagged items do.
)
event.replaceInput(
  { id: 'croptopia:artichoke_dip' }, // Arg 1: the filter
  'croptopia:artichoke',            // Arg 2: the item to replace
  '#forge:vegetables/artichoke'         // Arg 3: the item to replace it with
  // Note: tagged fluid ingredients do not work on Fabric, but tagged items do.
)
event.replaceInput(
  { input: 'croptopia:cheese' }, // Arg 1: the filter
  'croptopia:cheese',            // Arg 2: the item to replace
  '#forge:cheeses'         // Arg 3: the item to replace it with
  // Note: tagged fluid ingredients do not work on Fabric, but tagged items do.
)
event.replaceInput(
  { input: 'croptopia:pepper' }, // Arg 1: the filter
  'croptopia:pepper',            // Arg 2: the item to replace
  '#forge:spices/blackpepper'         // Arg 3: the item to replace it with
  // Note: tagged fluid ingredients do not work on Fabric, but tagged items do.
)
event.replaceInput(
  { id: 'croptopia:shaped_cheesy_asparagus' }, // Arg 1: the filter
  'croptopia:cheese',            // Arg 2: the item to replace
  '#forge:cheeses'         // Arg 3: the item to replace it with
  // Note: tagged fluid ingredients do not work on Fabric, but tagged items do.
)
event.replaceInput(
  { id: 'croptopia:shaped_cheesy_asparagus' }, // Arg 1: the filter
  'croptopia:asparagus',            // Arg 2: the item to replace
  '#forge:vegetables/asparagus'         // Arg 3: the item to replace it with
  // Note: tagged fluid ingredients do not work on Fabric, but tagged items do.
)
event.replaceInput(
  { id: 'croptopia:beer' }, // Arg 1: the filter
  'croptopia:barley',            // Arg 2: the item to replace
  '#forge:crops/barley'         // Arg 3: the item to replace it with
  // Note: tagged fluid ingredients do not work on Fabric, but tagged items do.
)
})